import objectdraw.*;
import java.awt.*;
/**
 * Write a description of class MoveRight here.  Submissions
 * that do not replace this paragraph with your own description
 * that includes all required items in the class submission
 * guidelines are subject to penalties.
 * 
 * @author (your name) 
 */
public class MoveSideToSide extends ActiveObject
{
 //size and speed of moving to the right
 private static final double INITIAL_X_SPEED = 0.0001;
 private static final int DELAY_TIME = 33;
 private static final int INITIAL_DELAY = 100;
 
 //the line control
 private Line line;
 
 //how far to fall before stopping and disappering
 private double xMax;
 
 //draw a line to move to the right
 public MoveSideToSide(Location start, Location end, DrawingCanvas aCanvas) {
     //draw the line at its initial position
     line = new Line(start, end, aCanvas);
     
     xMax = aCanvas.getWidth();
     
     //activate
     start();
     
    }
    
    public void run() {
        pause(INITIAL_DELAY);
        

        double xSpeed = INITIAL_X_SPEED;
        while (line.getStart().getX() <= xMax || line.getEnd().getX() <= xMax) {
           line.move(xSpeed, 0);
           xSpeed = xSpeed * 1.1;
           pause(DELAY_TIME);
        }
        line.removeFromCanvas();
    }
}
