import objectdraw.*;
import java.awt.*;
/**
 * Sliding line addition to the VanishingScribble program.
 * This class adds a feature in which lines slide to left.
 * csc252. 10.1.13. 
 * 
 * @author (Jotham Zak) 
 */
public class SlidingLine extends ActiveObject {
//  declare variables
  private static final double INITIAL_X_SPEED = 0.0001;
  private static final int DELAY_TIME = 33;
  private static final int INITIAL_DELAY = 100;
  private Line line;
  
//draw the line and begin sliding.
  public SlidingLine(Location start, Location end, DrawingCanvas aCanvas){
  line = new Line(start, end, aCanvas);
  start();
 

}
//move the line until it vanishes
public void run(){
pause(INITIAL_DELAY);

//acceleration
double xSpeed = -INITIAL_X_SPEED;

while((line.getStart().getX() >= 0) || (line.getEnd().getX()  >= 0)){
 line.move(xSpeed, 0);
 xSpeed = xSpeed * 1.1;
 pause(DELAY_TIME);
}
line.removeFromCanvas();
}


}
